Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229153 - docs-common should move to submodule (&docs-common)
Summary: docs-common should move to submodule (&docs-common)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Tommy Reynolds
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-18 21:05 UTC by Paul W. Frields
Modified: 2009-09-21 21:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 13:22:45 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2007-02-18 21:05:24 UTC
Description of problem:
The docs-common/ module should be checked out as a submodule for checked-out
directories.  It cuts down on the work that contributors have to do to work in
CVS.  It also makes our CVS work more like the rest of the Fedora Project. 
Moving this to a submodule increases the predictability of location, making
build tool stuff easier to deal with.  It makes PO-based translations across the
common structures easier as well.

There are a lot of pieces to take care of in this case, but we could eliminate a
lot of pre-rendered content, including the SVG => PNG, the entities PO => XML =>
.ent, and especially the multiplicity of XML files for translated content which
are simply silly to have now that we understand gettext tools.

This may not be a blocker issue but certainly we should try and make progress on
this up to F7 release.

Comment 1 eric@christensenplace.us 2009-07-07 04:09:50 UTC
Ticket moved to allow products to be removed from BZ.


Note You need to log in before you can comment on or make changes to this bug.